CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2016-1255

The pg_ctlcluster script in postgresql-common package in Debian wheezy before 134wheezy5, in Debian jessie before 165+deb8u2, in Debian unstable before 178, in Ubuntu 12.04 LTS before 129ubuntu1.2, in Ubuntu 14.04 LTS before 154ubuntu1.1, in Ubuntu 16.04 LTS before 173ubuntu0.1, in Ubuntu 17.04 before 179ubuntu0.1, and in Ubuntu 17.10 before 184ubuntu1.1 allows local users to gain root privileges via a symlink attack on a logfile in /var/log/postgresql.
Publish Date : 2017-12-05 Last Update Date : 2017-12-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.2
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Gain privileges
CWE ID 59

- Products Affected By CVE-2016-1255

# Product Type Vendor Product Version Update Edition Language
1 Application Debian Postgresql-common 1 Version Details Vulnerabilities
2 Application Debian Postgresql-common 2 Version Details Vulnerabilities
3 Application Debian Postgresql-common 3 Version Details Vulnerabilities
4 Application Debian Postgresql-common 4 Version Details Vulnerabilities
5 Application Debian Postgresql-common 5 Version Details Vulnerabilities
6 Application Debian Postgresql-common 6 Version Details Vulnerabilities
7 Application Debian Postgresql-common 7 Version Details Vulnerabilities
8 Application Debian Postgresql-common 8 Version Details Vulnerabilities
9 Application Debian Postgresql-common 9 Version Details Vulnerabilities
10 Application Debian Postgresql-common 10 Version Details Vulnerabilities
11 Application Debian Postgresql-common 11 Version Details Vulnerabilities
12 Application Debian Postgresql-common 12 Version Details Vulnerabilities
13 Application Debian Postgresql-common 13 Version Details Vulnerabilities
14 Application Debian Postgresql-common 14 Version Details Vulnerabilities
15 Application Debian Postgresql-common 15 Version Details Vulnerabilities
16 Application Debian Postgresql-common 16 Version Details Vulnerabilities
17 Application Debian Postgresql-common 17 Version Details Vulnerabilities
18 Application Debian Postgresql-common 18 Version Details Vulnerabilities
19 Application Debian Postgresql-common 19 Version Details Vulnerabilities
20 Application Debian Postgresql-common 20 Version Details Vulnerabilities
21 Application Debian Postgresql-common 21 Version Details Vulnerabilities
22 Application Debian Postgresql-common 22 Version Details Vulnerabilities
23 Application Debian Postgresql-common 23 Version Details Vulnerabilities
24 Application Debian Postgresql-common 24 Version Details Vulnerabilities
25 Application Debian Postgresql-common 25 Version Details Vulnerabilities
26 Application Debian Postgresql-common 26 Version Details Vulnerabilities
27 Application Debian Postgresql-common 27 Version Details Vulnerabilities
28 Application Debian Postgresql-common 28 Version Details Vulnerabilities
29 Application Debian Postgresql-common 29 Version Details Vulnerabilities
30 Application Debian Postgresql-common 30 Version Details Vulnerabilities
31 Application Debian Postgresql-common 31 Version Details Vulnerabilities
32 Application Debian Postgresql-common 32 Version Details Vulnerabilities
33 Application Debian Postgresql-common 33 Version Details Vulnerabilities
34 Application Debian Postgresql-common 34 Version Details Vulnerabilities
35 Application Debian Postgresql-common 35 Version Details Vulnerabilities
36 Application Debian Postgresql-common 36 Version Details Vulnerabilities
37 Application Debian Postgresql-common 37 Version Details Vulnerabilities
38 Application Debian Postgresql-common 38 Version Details Vulnerabilities
39 Application Debian Postgresql-common 39 Version Details Vulnerabilities
40 Application Debian Postgresql-common 40 Version Details Vulnerabilities
41 Application Debian Postgresql-common 41 Version Details Vulnerabilities
42 Application Debian Postgresql-common 42 Version Details Vulnerabilities
43 Application Debian Postgresql-common 43 Version Details Vulnerabilities
44 Application Debian Postgresql-common 44 Version Details Vulnerabilities
45 Application Debian Postgresql-common 45 Version Details Vulnerabilities
46 Application Debian Postgresql-common 46 Version Details Vulnerabilities
47 Application Debian Postgresql-common 47 Version Details Vulnerabilities
48 Application Debian Postgresql-common 48 Version Details Vulnerabilities
49 Application Debian Postgresql-common 49 Version Details Vulnerabilities
50 Application Debian Postgresql-common 50 Version Details Vulnerabilities
51 Application Debian Postgresql-common 51 Version Details Vulnerabilities
52 Application Debian Postgresql-common 52 Version Details Vulnerabilities
53 Application Debian Postgresql-common 53 Version Details Vulnerabilities
54 Application Debian Postgresql-common 54 Version Details Vulnerabilities
55 Application Debian Postgresql-common 55 Version Details Vulnerabilities
56 Application Debian Postgresql-common 56 Version Details Vulnerabilities
57 Application Debian Postgresql-common 57 Version Details Vulnerabilities
58 Application Debian Postgresql-common 58 Version Details Vulnerabilities
59 Application Debian Postgresql-common 59 Version Details Vulnerabilities
60 Application Debian Postgresql-common 60 Version Details Vulnerabilities
61 Application Debian Postgresql-common 61 Version Details Vulnerabilities
62 Application Debian Postgresql-common 62 Version Details Vulnerabilities
63 Application Debian Postgresql-common 63 Version Details Vulnerabilities
64 Application Debian Postgresql-common 64 Version Details Vulnerabilities
65 Application Debian Postgresql-common 65 Version Details Vulnerabilities
66 Application Debian Postgresql-common 66 Version Details Vulnerabilities
67 Application Debian Postgresql-common 67 Version Details Vulnerabilities
68 Application Debian Postgresql-common 68 Version Details Vulnerabilities
69 Application Debian Postgresql-common 69 Version Details Vulnerabilities
70 Application Debian Postgresql-common 70 Version Details Vulnerabilities
71 Application Debian Postgresql-common 71 Version Details Vulnerabilities
72 Application Debian Postgresql-common 72 Version Details Vulnerabilities
73 Application Debian Postgresql-common 73 Version Details Vulnerabilities
74 Application Debian Postgresql-common 74 Version Details Vulnerabilities
75 Application Debian Postgresql-common 75 Version Details Vulnerabilities
76 Application Debian Postgresql-common 76 Version Details Vulnerabilities
77 Application Debian Postgresql-common 77 Version Details Vulnerabilities
78 Application Debian Postgresql-common 78 Version Details Vulnerabilities
79 Application Debian Postgresql-common 79 Version Details Vulnerabilities
80 Application Debian Postgresql-common 80 Version Details Vulnerabilities
81 Application Debian Postgresql-common 81 Version Details Vulnerabilities
82 Application Debian Postgresql-common 82 Version Details Vulnerabilities
83 Application Debian Postgresql-common 83 Version Details Vulnerabilities
84 Application Debian Postgresql-common 84 Version Details Vulnerabilities
85 Application Debian Postgresql-common 85 Version Details Vulnerabilities
86 Application Debian Postgresql-common 86 Version Details Vulnerabilities
87 Application Debian Postgresql-common 87 Version Details Vulnerabilities
88 Application Debian Postgresql-common 88 Version Details Vulnerabilities
89 Application Debian Postgresql-common 89 Version Details Vulnerabilities
90 Application Debian Postgresql-common 90 Version Details Vulnerabilities
91 Application Debian Postgresql-common 91 Version Details Vulnerabilities
92 Application Debian Postgresql-common 92 Version Details Vulnerabilities
93 Application Debian Postgresql-common 93 Version Details Vulnerabilities
94 Application Debian Postgresql-common 94 Version Details Vulnerabilities
95 Application Debian Postgresql-common 95 Version Details Vulnerabilities
96 Application Debian Postgresql-common 96 Version Details Vulnerabilities
97 Application Debian Postgresql-common 97 Version Details Vulnerabilities
98 Application Debian Postgresql-common 98 Version Details Vulnerabilities
99 Application Debian Postgresql-common 99 Version Details Vulnerabilities
100 Application Debian Postgresql-common 100 Version Details Vulnerabilities
101 Application Debian Postgresql-common 101 Version Details Vulnerabilities
102 Application Debian Postgresql-common 102 Version Details Vulnerabilities
103 Application Debian Postgresql-common 103 Version Details Vulnerabilities
104 Application Debian Postgresql-common 104 Version Details Vulnerabilities
105 Application Debian Postgresql-common 105 Version Details Vulnerabilities
106 Application Debian Postgresql-common 106 Version Details Vulnerabilities
107 Application Debian Postgresql-common 107 Version Details Vulnerabilities
108 Application Debian Postgresql-common 108 Version Details Vulnerabilities
109 Application Debian Postgresql-common 109 Version Details Vulnerabilities
110 Application Debian Postgresql-common 110 Version Details Vulnerabilities
111 Application Debian Postgresql-common 111 Version Details Vulnerabilities
112 Application Debian Postgresql-common 112 Version Details Vulnerabilities
113 Application Debian Postgresql-common 113 Version Details Vulnerabilities
114 Application Debian Postgresql-common 114 Version Details Vulnerabilities
115 Application Debian Postgresql-common 115 Version Details Vulnerabilities
116 Application Debian Postgresql-common 116 Version Details Vulnerabilities
117 Application Debian Postgresql-common 117 Version Details Vulnerabilities
118 Application Debian Postgresql-common 118 Version Details Vulnerabilities
119 Application Debian Postgresql-common 119 Version Details Vulnerabilities
120 Application Debian Postgresql-common 120 Version Details Vulnerabilities
121 Application Debian Postgresql-common 121 Version Details Vulnerabilities
122 Application Debian Postgresql-common 122 Version Details Vulnerabilities
123 Application Debian Postgresql-common 123 Version Details Vulnerabilities
124 Application Debian Postgresql-common 124 Version Details Vulnerabilities
125 Application Debian Postgresql-common 125 Version Details Vulnerabilities
126 Application Debian Postgresql-common 126 Version Details Vulnerabilities
127 Application Debian Postgresql-common 127 Version Details Vulnerabilities
128 Application Debian Postgresql-common 128 Version Details Vulnerabilities
129 Application Debian Postgresql-common 129 Version Details Vulnerabilities
130 Application Debian Postgresql-common 130 Version Details Vulnerabilities
131 Application Debian Postgresql-common 131 Version Details Vulnerabilities
132 Application Debian Postgresql-common 132 Version Details Vulnerabilities
133 Application Debian Postgresql-common 133 Version Details Vulnerabilities
134 Application Debian Postgresql-common 134 Version Details Vulnerabilities
135 Application Debian Postgresql-common 135 Version Details Vulnerabilities
136 Application Debian Postgresql-common 136 Version Details Vulnerabilities
137 Application Debian Postgresql-common 137 Version Details Vulnerabilities
138 Application Debian Postgresql-common 138 Version Details Vulnerabilities
139 Application Debian Postgresql-common 139 Version Details Vulnerabilities
140 Application Debian Postgresql-common 140 Version Details Vulnerabilities
141 Application Debian Postgresql-common 141 Version Details Vulnerabilities
142 Application Debian Postgresql-common 142 Version Details Vulnerabilities
143 Application Debian Postgresql-common 143 Version Details Vulnerabilities
144 Application Debian Postgresql-common 144 Version Details Vulnerabilities
145 Application Debian Postgresql-common 145 Version Details Vulnerabilities
146 Application Debian Postgresql-common 146 Version Details Vulnerabilities
147 Application Debian Postgresql-common 147 Version Details Vulnerabilities
148 Application Debian Postgresql-common 148 Version Details Vulnerabilities
149 Application Debian Postgresql-common 149 Version Details Vulnerabilities
150 Application Debian Postgresql-common 150 Version Details Vulnerabilities
151 Application Debian Postgresql-common 151 Version Details Vulnerabilities
152 Application Debian Postgresql-common 152 Version Details Vulnerabilities
153 Application Debian Postgresql-common 153 Version Details Vulnerabilities
154 Application Debian Postgresql-common 154 Version Details Vulnerabilities
155 Application Debian Postgresql-common 155 Version Details Vulnerabilities
156 Application Debian Postgresql-common 156 Version Details Vulnerabilities
157 Application Debian Postgresql-common 157 Version Details Vulnerabilities
158 Application Debian Postgresql-common 158 Version Details Vulnerabilities
159 Application Debian Postgresql-common 159 Version Details Vulnerabilities
160 Application Debian Postgresql-common 160 Version Details Vulnerabilities
161 Application Debian Postgresql-common 161 Version Details Vulnerabilities
162 Application Debian Postgresql-common 162 Version Details Vulnerabilities
163 Application Debian Postgresql-common 163 Version Details Vulnerabilities
164 Application Debian Postgresql-common 164 Version Details Vulnerabilities
165 Application Debian Postgresql-common 170 Version Details Vulnerabilities
166 Application Debian Postgresql-common 171 Version Details Vulnerabilities
167 Application Debian Postgresql-common 172 Version Details Vulnerabilities
168 Application Debian Postgresql-common 173 Version Details Vulnerabilities
169 Application Debian Postgresql-common 178 Version Details Vulnerabilities
170 Application Debian Postgresql-common 179 Version Details Vulnerabilities
171 Application Debian Postgresql-common 181 Version Details Vulnerabilities
172 Application Debian Postgresql-common 183 Version Details Vulnerabilities
173 Application Debian Postgresql-common 184 Version Details Vulnerabilities
174 Application Debian Postgresql-common 122ubuntu1 Version Details Vulnerabilities
175 Application Debian Postgresql-common 129ubuntu1 Version Details Vulnerabilities
176 Application Debian Postgresql-common 153bzr1 Version Details Vulnerabilities
177 Application Debian Postgresql-common 154ubuntu1 Version Details Vulnerabilities
178 Application Debian Postgresql-common 169git1 Version Details Vulnerabilities
179 Application Debian Postgresql-common 172ubuntu1 Version Details Vulnerabilities
180 Application Debian Postgresql-common 176+git1 Version Details Vulnerabilities
181 Application Debian Postgresql-common 177git1 Version Details Vulnerabilities
182 Application Debian Postgresql-common 177ubuntu1 Version Details Vulnerabilities
183 Application Debian Postgresql-common 181ubuntu1 Version Details Vulnerabilities
184 Application Debian Postgresql-common 184ubuntu1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Postgresql-common 184

- References For CVE-2016-1255

https://lists.debian.org/debian-lts-announce/2017/01/msg00002.html
MLIST [debian-lts-announce] 20170101 [SECURITY] [DLA-774-1] postgresql-common security update
https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-common.git/commit/?id=c8989206ec360f199400c74f129f7b4cb878c1ee CONFIRM
http://www.ubuntu.com/usn/USN-3476-2
UBUNTU USN-3476-2
http://www.ubuntu.com/usn/USN-3476-1
UBUNTU USN-3476-1

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)

- Metasploit Modules Related To CVE-2016-1255

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.